Subject: Re: bug#10948: 24.0.94; electric-pair-mode inserts unnecessary "

From: Stefan Monnier <[email-masked]>
Date: Mon, 05 Mar 2012 16:32:18 -0500

severity 10948 wishlist
thanks

> I often encounter electric-pair-mode inserting unnecessary quotation
> marks on GNU Emacs 24.0.94.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.9) of 2012-03-01.

> Recipe:

> emacs -q
> C-x b RET # we are in *scratch* now
> M-x electric-pair-mode RET
> "test C-d # at this point the line at point should read `"test
> "

> the line at point now contains "test"".  I think electric-pair-mode
> should be smarter here, do a little backtracking, and just insert one
> quote.

You mean that it should not pair up the quotes if we're already within quotes?
I guess that would make sense in programming-mode buffers.

        Stefan